Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.core
Interface TransferId

    public interface TransferId

Interface containing constants for transfer ids used within drag and drop operations

Field Summary
`static java.lang.String` `CUSTOM_DATA_TRANSFER` Constant for custom data transfer agent
`static java.lang.String` `FILE_TRANSFER` Constant for file transfer agent
`static java.lang.String` `PLUGIN_TRANSFER` Constant for plugin transfer agent
`static java.lang.String` `RTF_TRANSFER` Constant for rich text transfer agent
`static java.lang.String` `SELECTION_TRANSFER` Constant for selection transfer agent
`static java.lang.String` `TEXT_TRANSFER` Constant for text transfer agent

Field Detail

### CUSTOM_DATA_TRANSFER

    static final java.lang.String CUSTOM_DATA_TRANSFER

  Constant for custom data transfer agent

  See Also:
    Constant Field Values

### FILE_TRANSFER

    static final java.lang.String FILE_TRANSFER

  Constant for file transfer agent

  See Also:
    Constant Field Values

### PLUGIN_TRANSFER

    static final java.lang.String PLUGIN_TRANSFER

  Constant for plugin transfer agent

  See Also:
    Constant Field Values

### SELECTION_TRANSFER

    static final java.lang.String SELECTION_TRANSFER

  Constant for selection transfer agent

  See Also:
    Constant Field Values

### TEXT_TRANSFER

    static final java.lang.String TEXT_TRANSFER

  Constant for text transfer agent

  See Also:
    Constant Field Values

### RTF_TRANSFER

    static final java.lang.String RTF_TRANSFER

  Constant for rich text transfer agent

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.